org.bouncycastle.asn1.cms

## Class KeyTransRecipientInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.KeyTransRecipientInfo

All Implemented Interfaces:
  DEREncodable

    public class KeyTransRecipientInfo
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`KeyTransRecipientInfo(ASN1Sequence seq)`
`KeyTransRecipientInfo(RecipientIdentifier rid, AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`

### Method Summary

Methods
`ASN1OctetString` `getEncryptedKey()`
`static KeyTransRecipientInfo` `getInstance(java.lang.Object obj)` return a KeyTransRecipientInfo object from the given object.
`AlgorithmIdentifier` `getKeyEncryptionAlgorithm()`
`RecipientIdentifier` `getRecipientIdentifier()`
`DERInteger` `getVersion()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyTransRecipientInfo

    public KeyTransRecipientInfo(RecipientIdentifier rid,
                         AlgorithmIdentifier keyEncryptionAlgorithm,
                         ASN1OctetString encryptedKey)

#### KeyTransRecipientInfo

    public KeyTransRecipientInfo(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static KeyTransRecipientInfo getInstance(java.lang.Object obj)

return a KeyTransRecipientInfo object from the given object.

Parameters:
  `obj` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getVersion

    public DERInteger getVersion()

#### getRecipientIdentifier

    public RecipientIdentifier getRecipientIdentifier()

#### getKeyEncryptionAlgorithm

    public AlgorithmIdentifier getKeyEncryptionAlgorithm()

#### getEncryptedKey

    public ASN1OctetString getEncryptedKey()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     KeyTransRecipientInfo ::= SEQUENCE {
         version CMSVersion,  -- always set to 0 or 2
         rid RecipientIdentifier,
         keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier,
         encryptedKey EncryptedKey
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`